diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/script-loader.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/script-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/script-loader.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/script-loader.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 503,512 ****
   * @return array Reordered array, if needed.
   */
  function wp_prototype_before_jquery( $js_array ) {
! 	if ( false === $jquery = array_search( 'jquery', $js_array, true ) )
  		return $js_array;
  
! 	if ( false === $prototype = array_search( 'prototype', $js_array, true ) )
  		return $js_array;
  
  	if ( $prototype < $jquery )
--- 546,555 ----
   * @return array Reordered array, if needed.
   */
  function wp_prototype_before_jquery( $js_array ) {
! 	if ( false === $prototype = array_search( 'prototype', $js_array, true ) )
  		return $js_array;
  
! 	if ( false === $jquery = array_search( 'jquery', $js_array, true ) )
  		return $js_array;
  
  	if ( $prototype < $jquery )
***************
*** 572,578 ****
  		$url = $color->url;
  
  		if ( defined('SCRIPT_DEBUG') && SCRIPT_DEBUG )
! 			$url = preg_replace('/.css$|.css(?=\?)/', '.dev.css', $url);
  
  		if ( isset($parsed['query']) && $parsed['query'] ) {
  			wp_parse_str( $parsed['query'], $qv );
--- 615,621 ----
  		$url = $color->url;
  
  		if ( defined('SCRIPT_DEBUG') && SCRIPT_DEBUG )
! 			$url = preg_replace( '/.min.css$|.min.css(?=\?)/', '.css', $url );
  
  		if ( isset($parsed['query']) && $parsed['query'] ) {
  			wp_parse_str( $parsed['query'], $qv );
***************
*** 646,652 ****
  	if ( $zip && defined('ENFORCE_GZIP') && ENFORCE_GZIP )
  		$zip = 'gzip';
  
! 	if ( !empty($wp_scripts->concat) ) {
  
  		if ( !empty($wp_scripts->print_code) ) {
  			echo "\n<script type='text/javascript'>\n";
--- 689,695 ----
  	if ( $zip && defined('ENFORCE_GZIP') && ENFORCE_GZIP )
  		$zip = 'gzip';
  
! 	if ( $concat = trim( $wp_scripts->concat, ', ' ) ) {
  
  		if ( !empty($wp_scripts->print_code) ) {
  			echo "\n<script type='text/javascript'>\n";
***************
*** 656,662 ****
  			echo "</script>\n";
  		}
  
! 		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&load=" . trim($wp_scripts->concat, ', ') . '&ver=' . $wp_scripts->default_version;
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
  	}
  
--- 699,708 ----
  			echo "</script>\n";
  		}
  
! 		$concat = str_split( $concat, 128 );
! 		$concat = 'load[]=' . implode( '&load[]=', $concat );
! 
! 		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&" . $concat . '&ver=' . $wp_scripts->default_version;
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
  	}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/shortcodes.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/shortcodes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/shortcodes.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/shortcodes.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 177,187 ****
  	$tagregexp = join( '|', array_map('preg_quote', $tagnames) );
  
  	// WARNING! Do not change this regex without changing do_shortcode_tag() and strip_shortcode_tag()
  	return
  		  '\\['                              // Opening bracket
  		. '(\\[?)'                           // 1: Optional second opening bracket for escaping shortcodes: [[tag]]
  		. "($tagregexp)"                     // 2: Shortcode name
! 		. '\\b'                              // Word boundary
  		. '('                                // 3: Unroll the loop: Inside the opening shortcode tag
  		.     '[^\\]\\/]*'                   // Not a closing bracket or forward slash
  		.     '(?:'
--- 177,188 ----
  	$tagregexp = join( '|', array_map('preg_quote', $tagnames) );
  
  	// WARNING! Do not change this regex without changing do_shortcode_tag() and strip_shortcode_tag()
+ 	// Also, see shortcode_unautop() and shortcode.js.
  	return
  		  '\\['                              // Opening bracket
  		. '(\\[?)'                           // 1: Optional second opening bracket for escaping shortcodes: [[tag]]
  		. "($tagregexp)"                     // 2: Shortcode name
! 		. '(?![\\w-])'                       // Not followed by word character or hyphen
  		. '('                                // 3: Unroll the loop: Inside the opening shortcode tag
  		.     '[^\\]\\/]*'                   // Not a closing bracket or forward slash
  		.     '(?:'
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Author.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Author.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Author.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Author.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,157 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Manages all author-related data
+  *
+  * Used by {@see SimplePie_Item::get_author()} and {@see SimplePie::get_authors()}
+  *
+  * This class can be overloaded with {@see SimplePie::set_author_class()}
+  *
+  * @package SimplePie
+  * @subpackage API
+  */
+ class SimplePie_Author
+ {
+ 	/**
+ 	 * Author's name
+ 	 *
+ 	 * @var string
+ 	 * @see get_name()
+ 	 */
+ 	var $name;
+ 
+ 	/**
+ 	 * Author's link
+ 	 *
+ 	 * @var string
+ 	 * @see get_link()
+ 	 */
+ 	var $link;
+ 
+ 	/**
+ 	 * Author's email address
+ 	 *
+ 	 * @var string
+ 	 * @see get_email()
+ 	 */
+ 	var $email;
+ 
+ 	/**
+ 	 * Constructor, used to input the data
+ 	 *
+ 	 * @param string $name
+ 	 * @param string $link
+ 	 * @param string $email
+ 	 */
+ 	public function __construct($name = null, $link = null, $email = null)
+ 	{
+ 		$this->name = $name;
+ 		$this->link = $link;
+ 		$this->email = $email;
+ 	}
+ 
+ 	/**
+ 	 * String-ified version
+ 	 *
+ 	 * @return string
+ 	 */
+ 	public function __toString()
+ 	{
+ 		// There is no $this->data here
+ 		return md5(serialize($this));
+ 	}
+ 
+ 	/**
+ 	 * Author's name
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_name()
+ 	{
+ 		if ($this->name !== null)
+ 		{
+ 			return $this->name;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Author's link
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_link()
+ 	{
+ 		if ($this->link !== null)
+ 		{
+ 			return $this->link;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ 
+ 	/**
+ 	 * Author's email address
+ 	 *
+ 	 * @return string|null
+ 	 */
+ 	public function get_email()
+ 	{
+ 		if ($this->email !== null)
+ 		{
+ 			return $this->email;
+ 		}
+ 		else
+ 		{
+ 			return null;
+ 		}
+ 	}
+ }
+ 
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/Base.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/Base.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/Base.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/Base.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,114 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Base for cache objects
+  *
+  * Classes to be used with {@see SimplePie_Cache::register()} are expected
+  * to implement this interface.
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  */
+ interface SimplePie_Cache_Base
+ {
+ 	/**
+ 	 * Feed cache type
+ 	 *
+ 	 * @var string
+ 	 */
+ 	const TYPE_FEED = 'spc';
+ 
+ 	/**
+ 	 * Image cache type
+ 	 *
+ 	 * @var string
+ 	 */
+ 	const TYPE_IMAGE = 'spi';
+ 
+ 	/**
+ 	 * Create a new cache object
+ 	 *
+ 	 * @param string $location Location string (from SimplePie::$cache_location)
+ 	 * @param string $name Unique ID for the cache
+ 	 * @param string $type Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data
+ 	 */
+ 	public function __construct($location, $name, $type);
+ 
+ 	/**
+ 	 * Save data to the cache
+ 	 *
+ 	 * @param array|SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
+ 	 * @return bool Successfulness
+ 	 */
+ 	public function save($data);
+ 
+ 	/**
+ 	 * Retrieve the data saved to the cache
+ 	 *
+ 	 * @return array Data for SimplePie::$data
+ 	 */
+ 	public function load();
+ 
+ 	/**
+ 	 * Retrieve the last modified time for the cache
+ 	 *
+ 	 * @return int Timestamp
+ 	 */
+ 	public function mtime();
+ 
+ 	/**
+ 	 * Set the last modified time to the current time
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function touch();
+ 
+ 	/**
+ 	 * Remove the cache
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function unlink();
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/DB.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/DB.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/DB.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/DB.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,137 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Base class for database-based caches
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  */
+ abstract class SimplePie_Cache_DB implements SimplePie_Cache_Base
+ {
+ 	/**
+ 	 * Helper for database conversion
+ 	 *
+ 	 * Converts a given {@see SimplePie} object into data to be stored
+ 	 *
+ 	 * @param SimplePie $data
+ 	 * @return array First item is the serialized data for storage, second item is the unique ID for this item
+ 	 */
+ 	protected static function prepare_simplepie_object_for_cache($data)
+ 	{
+ 		$items = $data->get_items();
+ 		$items_by_id = array();
+ 
+ 		if (!empty($items))
+ 		{
+ 			foreach ($items as $item)
+ 			{
+ 				$items_by_id[$item->get_id()] = $item;
+ 			}
+ 
+ 			if (count($items_by_id) !== count($items))
+ 			{
+ 				$items_by_id = array();
+ 				foreach ($items as $item)
+ 				{
+ 					$items_by_id[$item->get_id(true)] = $item;
+ 				}
+ 			}
+ 
+ 			if (isset($data->data['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['feed'][0]))
+ 			{
+ 				$channel =& $data->data['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['feed'][0];
+ 			}
+ 			elseif (isset($data->data['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['feed'][0]))
+ 			{
+ 				$channel =& $data->data['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['feed'][0];
+ 			}
+ 			elseif (isset($data->data['child'][SIMPLEPIE_NAMESPACE_RDF]['RDF'][0]))
+ 			{
+ 				$channel =& $data->data['child'][SIMPLEPIE_NAMESPACE_RDF]['RDF'][0];
+ 			}
+ 			elseif (isset($data->data['child'][SIMPLEPIE_NAMESPACE_RSS_20]['rss'][0]['child'][SIMPLEPIE_NAMESPACE_RSS_20]['channel'][0]))
+ 			{
+ 				$channel =& $data->data['child'][SIMPLEPIE_NAMESPACE_RSS_20]['rss'][0]['child'][SIMPLEPIE_NAMESPACE_RSS_20]['channel'][0];
+ 			}
+ 			else
+ 			{
+ 				$channel = null;
+ 			}
+ 
+ 			if ($channel !== null)
+ 			{
+ 				if (isset($channel['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['entry']))
+ 				{
+ 					unset($channel['child'][SIMPLEPIE_NAMESPACE_ATOM_10]['entry']);
+ 				}
+ 				if (isset($channel['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['entry']))
+ 				{
+ 					unset($channel['child'][SIMPLEPIE_NAMESPACE_ATOM_03]['entry']);
+ 				}
+ 				if (isset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_10]['item']))
+ 				{
+ 					unset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_10]['item']);
+ 				}
+ 				if (isset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_090]['item']))
+ 				{
+ 					unset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_090]['item']);
+ 				}
+ 				if (isset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_20]['item']))
+ 				{
+ 					unset($channel['child'][SIMPLEPIE_NAMESPACE_RSS_20]['item']);
+ 				}
+ 			}
+ 			if (isset($data->data['items']))
+ 			{
+ 				unset($data->data['items']);
+ 			}
+ 			if (isset($data->data['ordered_items']))
+ 			{
+ 				unset($data->data['ordered_items']);
+ 			}
+ 		}
+ 		return array(serialize($data->data), $items_by_id);
+ 	}
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/File.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/File.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/SimplePie/Cache/File.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/SimplePie/Cache/File.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 0 ****
--- 1,173 ----
+ <?php
+ /**
+  * SimplePie
+  *
+  * A PHP-Based RSS and Atom Feed Framework.
+  * Takes the hard work out of managing a complete RSS/Atom solution.
+  *
+  * Copyright (c) 2004-2012, Ryan Parman, Geoffrey Sneddon, Ryan McCue, and contributors
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without modification, are
+  * permitted provided that the following conditions are met:
+  *
+  * 	* Redistributions of source code must retain the above copyright notice, this list of
+  * 	  conditions and the following disclaimer.
+  *
+  * 	* Redistributions in binary form must reproduce the above copyright notice, this list
+  * 	  of conditions and the following disclaimer in the documentation and/or other materials
+  * 	  provided with the distribution.
+  *
+  * 	* Neither the name of the SimplePie Team nor the names of its contributors may be used
+  * 	  to endorse or promote products derived from this software without specific prior
+  * 	  written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
+  * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+  * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS
+  * AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+  * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+  * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+  * POSSIBILITY OF SUCH DAMAGE.
+  *
+  * @package SimplePie
+  * @version 1.3.1
+  * @copyright 2004-2012 Ryan Parman, Geoffrey Sneddon, Ryan McCue
+  * @author Ryan Parman
+  * @author Geoffrey Sneddon
+  * @author Ryan McCue
+  * @link http://simplepie.org/ SimplePie
+  * @license http://www.opensource.org/licenses/bsd-license.php BSD License
+  */
+ 
+ /**
+  * Caches data to the filesystem
+  *
+  * @package SimplePie
+  * @subpackage Caching
+  */
+ class SimplePie_Cache_File implements SimplePie_Cache_Base
+ {
+ 	/**
+ 	 * Location string
+ 	 *
+ 	 * @see SimplePie::$cache_location
+ 	 * @var string
+ 	 */
+ 	protected $location;
+ 
+ 	/**
+ 	 * Filename
+ 	 *
+ 	 * @var string
+ 	 */
+ 	protected $filename;
+ 
+ 	/**
+ 	 * File extension
+ 	 *
+ 	 * @var string
+ 	 */
+ 	protected $extension;
+ 
+ 	/**
+ 	 * File path
+ 	 *
+ 	 * @var string
+ 	 */
+ 	protected $name;
+ 
+ 	/**
+ 	 * Create a new cache object
+ 	 *
+ 	 * @param string $location Location string (from SimplePie::$cache_location)
+ 	 * @param string $name Unique ID for the cache
+ 	 * @param string $type Either TYPE_FEED for SimplePie data, or TYPE_IMAGE for image data
+ 	 */
+ 	public function __construct($location, $name, $type)
+ 	{
+ 		$this->location = $location;
+ 		$this->filename = $name;
+ 		$this->extension = $type;
+ 		$this->name = "$this->location/$this->filename.$this->extension";
+ 	}
+ 
+ 	/**
+ 	 * Save data to the cache
+ 	 *
+ 	 * @param array|SimplePie $data Data to store in the cache. If passed a SimplePie object, only cache the $data property
+ 	 * @return bool Successfulness
+ 	 */
+ 	public function save($data)
+ 	{
+ 		if (file_exists($this->name) && is_writeable($this->name) || file_exists($this->location) && is_writeable($this->location))
+ 		{
+ 			if ($data instanceof SimplePie)
+ 			{
+ 				$data = $data->data;
+ 			}
+ 
+ 			$data = serialize($data);
+ 			return (bool) file_put_contents($this->name, $data);
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the data saved to the cache
+ 	 *
+ 	 * @return array Data for SimplePie::$data
+ 	 */
+ 	public function load()
+ 	{
+ 		if (file_exists($this->name) && is_readable($this->name))
+ 		{
+ 			return unserialize(file_get_contents($this->name));
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Retrieve the last modified time for the cache
+ 	 *
+ 	 * @return int Timestamp
+ 	 */
+ 	public function mtime()
+ 	{
+ 		if (file_exists($this->name))
+ 		{
+ 			return filemtime($this->name);
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Set the last modified time to the current time
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function touch()
+ 	{
+ 		if (file_exists($this->name))
+ 		{
+ 			return touch($this->name);
+ 		}
+ 		return false;
+ 	}
+ 
+ 	/**
+ 	 * Remove the cache
+ 	 *
+ 	 * @return bool Success status
+ 	 */
+ 	public function unlink()
+ 	{
+ 		if (file_exists($this->name))
+ 		{
+ 			return unlink($this->name);
+ 		}
+ 		return false;
+ 	}
+ }
